Page MenuHomePhabricator

Clean up duplication between config options: TitledElement's 'title' and IconElement's 'iconTitle' / IndicatorElement's 'indicatorTitle' (deprecate and remove the latter)
Closed, ResolvedPublic

Description

Event Timeline

Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF added a project: OOUI.
Jdforrester-WMF moved this task to Backlog on the OOUI board.
Jdforrester-WMF changed Security from none to None.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Danny_B moved this task from Unsorted to Cleanup on the Technical-Debt board.Jan 22 2016, 11:36 PM
Volker_E moved this task from Backlog to Next-up on the OOUI board.Feb 2 2018, 2:59 AM
matmarex renamed this task from Clean up duplication between being titled through their icon and indicator mixins in addition to TitledElement in IconWidget and IndicatorWidget to Clean up duplication between config options: TitledElement's 'title' and IconElement's 'iconTitle' / IndicatorElement's 'indicatorTitle' (deprecate and remove the latter).Dec 18 2018, 10:57 PM
matmarex added subscribers: Volker_E, matmarex.

Potential violators:

core/resources/src/mediawiki.special.apisandbox/apisandbox.js:
  104  					ok = ok || suppressErrors;
  105  					that.setIcon( ok ? null : 'alert' );
  106: 					that.setIconTitle( ok ? '' : mw.message( 'apisandbox-alert-field' ).plain() );
  107  				} );
  108  			}
  ...
  186  				var ok = this.getApiValue() !== undefined || suppressErrors;
  187  				this.setIcon( ok ? null : 'alert' );
  188: 				this.setIconTitle( ok ? '' : mw.message( 'apisandbox-alert-field' ).plain() );
  189  				return $.Deferred().resolve( ok ).promise();
  190  			}
  ...
  234  
  235  				this.setIcon( ok ? null : 'alert' );
  236: 				this.setIconTitle( ok ? '' : mw.message( 'apisandbox-alert-field' ).plain() );
  237  				return $.Deferred().resolve( ok ).promise();
  238  			},
  ...
  292  				var ok = this.getValue() !== null || suppressErrors;
  293  				this.setIcon( ok ? null : 'alert' );
  294: 				this.setIconTitle( ok ? '' : mw.message( 'apisandbox-alert-field' ).plain() );
  295  				return $.Deferred().resolve( ok ).promise();
  296  			}
  ...
  469  					} );
  470  					widget.setIcon = widget.input.setIcon.bind( widget.input );
  471: 					widget.setIconTitle = widget.input.setIconTitle.bind( widget.input );
  472  					widget.getValidity = widget.input.getValidity.bind( widget.input );
  473  					widget.paramInfo = pi;
  ...
 1364  		this.outlineItem.setLabel( this.displayText );
 1365  		this.outlineItem.setIcon( this.apiIsValid || suppressErrors ? null : 'alert' );
 1366: 		this.outlineItem.setIconTitle(
 1367  			this.apiIsValid || suppressErrors ? '' : mw.message( 'apisandbox-alert-page' ).plain()
 1368  		);
 ....
 2009  				if ( that.getOutlineItem() ) {
 2010  					that.getOutlineItem().setIcon( that.apiIsValid || suppressErrors ? null : 'alert' );
 2011: 					that.getOutlineItem().setIconTitle(
 2012  						that.apiIsValid || suppressErrors ? '' : mw.message( 'apisandbox-alert-page' ).plain()
 2013  					);

extensions/CollaborationKit/modules/ext.CollaborationKit.list.ui.js:
  289  					framed: false,
  290  					icon: 'trash',
  291: 					iconTitle: mw.msg( 'collaborationkit-list-delete' )
  292  				} );
  293  
  ...
  298  						framed: false,
  299  						icon: 'move',
  300: 						iconTitle: mw.msg( 'collaborationkit-list-move' )
  301  					} );
  302  				}

extensions/ContentTranslation/modules/ui/widgets/mw.cx.ui.TitleOptionWidget.js:
   53  			languageIcon = new OO.ui.IconWidget( {
   54  				icon: 'language',
   55: 				iconTitle: mw.msg( 'cx-page-number-of-languages' )
   56  			} );
   57  			languageLabel = new OO.ui.LabelWidget( {

extensions/Kartographer/modules/dialog/dialog.js:
   64  						label: mw.msg( 'kartographer-sidebar-togglebutton' ),
   65  						icon: 'newWindow',
   66: 						iconTitle: mw.msg( 'kartographer-sidebar-togglebutton' )
   67  					} );
   68  					dialog.mapDetailsButton.connect( dialog, { change: 'toggleSideBar' } );

extensions/Kartographer/modules/wikivoyage/wikivoyage.js:
   80  				icon = new OO.ui.IconWidget( {
   81  					icon: 'linkExternal',
   82: 					iconTitle: mw.msg( 'kartographer-wv-warning-external-source-message' ),
   83  					classes: [ 'leaflet-control-layers-oo-ui-icon' ]
   84  				} );

extensions/LanguageTool/modules/ext.LanguageToolDialog.js:
   71  	this.sendButton = new OO.ui.ButtonWidget( {
   72  		icon: 'check',
   73: 		iconTitle: 'LanguageTool'
   74  	} );
   75  	this.previousButton = new OO.ui.ButtonWidget( {
   76  		icon: 'previous',
   77: 		iconTitle: ve.msg( 'visualeditor-find-and-replace-previous-button' ) + ' ' +
   78  			ve.ui.triggerRegistry.getMessages( 'findPrevious' ).join( ', ' )
   79  	} );
   80  	this.nextButton = new OO.ui.ButtonWidget( {
   81  		icon: 'next',
   82: 		iconTitle: ve.msg( 'visualeditor-find-and-replace-next-button' ) + ' ' +
   83  			ve.ui.triggerRegistry.getMessages( 'findNext' ).join( ', ' )
   84  	} );

extensions/PerformanceInspector/modules/collectors/ext.PerformanceInspector.modulescss.js:
  167  						label: mw.msg( 'performanceinspector-modules-css-show-details' ),
  168  						icon: 'info',
  169: 						iconTitle: mw.msg( 'performanceinspector-modules-css-show-details' )
  170  					} );
  171  				button.on( 'click', function () {

extensions/VisualEditor/modules/ve-mw/ui/pages/ve.ui.MWParameterPage.js:
   62  		this.statusIndicator
   63  			.setIndicator( 'required' )
   64: 			.setIndicatorTitle(
   65  				ve.msg( 'visualeditor-dialog-transclusion-required-parameter' )
   66  			);
   ..
   75  		this.statusIndicator
   76  			.setIndicator( 'alert' )
   77: 			.setIndicatorTitle(
   78  				ve.msg( 'visualeditor-dialog-transclusion-deprecated-parameter' )
   79  			);
   ..
  378  			this.outlineItem
  379  				.setIndicator( 'required' )
  380: 				.setIndicatorTitle(
  381  					ve.msg( 'visualeditor-dialog-transclusion-required-parameter' )
  382  				);
  ...
  385  			this.outlineItem
  386  				.setIndicator( 'alert' )
  387: 				.setIndicatorTitle(
  388  					ve.msg( 'visualeditor-dialog-transclusion-deprecated-parameter' )
  389  				);

extensions/WikibaseQualityConstraints/modules/gadget.js:
  212  	 * @param {jQuery} $container The container to which the button is appended.
  213  	 * @param {string} icon Identifier for an icon as provided by OOUI.
  214: 	 * @param {string} iconTitleMessageKey The message key of the title attribute of the icon.
  215  	 * @param {string} [flags] Optional custom flags the {@link OO.ui.PopupButtonWidget} can understand.
  216  	 */
  217: 	SELF.prototype._buildPopup = function ( $content, $container, icon, iconTitleMessageKey, flags /* = '' */ ) {
  218  		var widget = new OO.ui.PopupButtonWidget( {
  219  			icon: icon,
  220: 			iconTitle: mw.message( iconTitleMessageKey ).text(),
  221  			flags: flags || '',
  222  			framed: false,

extensions/WikidataPageBanner/includes/WikidataPageBanner.functions.php:
   50  				$iconName = Sanitizer::escapeClass( $iconname );
   51  				$iconUrl = Title::newFromText( $value );
   52: 				$iconTitleText = $iconName;
   53  				$finalIcon = [ 'url' => '#' ];
   54  				// reference article for icons provided and is valid, then add its link
   ..
   56  					$finalIcon['url'] = $iconUrl->getLocalURL();
   57  					// set icon title to title of referring article
   58: 					$iconTitleText = $iconUrl->getText();
   59  				}
   60  				$finalIcon['icon'] = $iconName;
   61: 				$finalIcon['title'] = $iconTitleText;
   62  				$iconsToAdd[] = $finalIcon;
   63  			}
Volker_E updated the task description. (Show Details)Dec 19 2018, 4:55 AM

Change 480696 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[oojs/ui@master] [DEPRECATING CHANGE]: Deprecate iconTitle and indicatorTitle

https://gerrit.wikimedia.org/r/480696

Volker_E updated the task description. (Show Details)Jan 3 2019, 6:20 PM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Jan 3 2019, 6:29 PM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptJan 3 2019, 6:29 PM

Change 480696 merged by jenkins-bot:
[oojs/ui@master] [DEPRECATING CHANGE]: Deprecate iconTitle and indicatorTitle

https://gerrit.wikimedia.org/r/480696

Change 482127 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/VisualEditor@master] Replace deprecated setIndicatorTitle with setTitle

https://gerrit.wikimedia.org/r/482127

Change 482128 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/Kartographer@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482128

Change 482130 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/CollaborationKit@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482130

Change 482132 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/ContentTranslation@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482132

Change 482136 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/LanguageTool@master] Use standard title and add better supported screen reader label on top

https://gerrit.wikimedia.org/r/482136

Change 482137 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/PerformanceInspector@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482137

Change 482138 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/WikibaseQualityConstraints@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482138

Change 482145 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Replace deprecated setIconTitle with setTitle

https://gerrit.wikimedia.org/r/482145

Volker_E updated the task description. (Show Details)Jan 3 2019, 8:45 PM

Change 482127 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Replace deprecated setIndicatorTitle with setTitle

https://gerrit.wikimedia.org/r/482127

Volker_E moved this task from Next-up to Reviewing on the OOUI board.Jan 3 2019, 8:58 PM

Change 482136 merged by jenkins-bot:
[mediawiki/extensions/LanguageTool@master] Use standard title and add better supported screen reader label on top

https://gerrit.wikimedia.org/r/482136

Change 482137 merged by jenkins-bot:
[mediawiki/extensions/PerformanceInspector@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482137

Change 482138 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482138

Change 482128 merged by jenkins-bot:
[mediawiki/extensions/Kartographer@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482128

Change 482130 merged by jenkins-bot:
[mediawiki/extensions/CollaborationKit@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482130

Change 482132 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Replace deprecated iconTitle with title

https://gerrit.wikimedia.org/r/482132

Volker_E updated the task description. (Show Details)Jan 4 2019, 10:12 PM

VE change caused T212975. Also inspired T212977

Change 483796 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Update OOUI to v0.30.1

https://gerrit.wikimedia.org/r/483796

Change 483796 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.30.1

https://gerrit.wikimedia.org/r/483796

Change 484850 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/VisualEditor@master] Re-introduce: Replace deprecated setIndicatorTitle with setTitle

https://gerrit.wikimedia.org/r/484850

Change 482145 merged by jenkins-bot:
[mediawiki/core@master] Replace deprecated setIconTitle with setTitle

https://gerrit.wikimedia.org/r/482145

Change 484850 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Re-introduce: Replace deprecated setIndicatorTitle with setTitle

https://gerrit.wikimedia.org/r/484850

Volker_E updated the task description. (Show Details)Jan 22 2019, 3:55 AM
Volker_E closed this task as Resolved.Mar 14 2019, 6:18 PM
Volker_E claimed this task.
Volker_E removed a project: Patch-For-Review.
Volker_E updated the task description. (Show Details)
Volker_E moved this task from Waiting for breaking release to OOUI-0.31.0 on the OOUI board.
Volker_E edited projects, added OOUI (OOUI-0.31.0); removed OOUI.
Volker_E removed a subscriber: gerritbot.